Valorant API Unofficial docs
API Reference Config
GET

Config

Get the config for the given player

Internal name Config_FetchConfig Server Shared · shard Auth None
GET https://shared.{shard}.a.pvp.net/v1/config/{region}
Try this request in the browser with your own values

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

region enum required

na, latam, br, eu, ap or kr.

nalatambreuapkr
How to get it

There are 6 regions:

Region ID Region Name
na North America
latam Latin America
br Brazil
eu Europe
ap Asia Pacific
kr Korea
Obtaining locally:

The region can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

Use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Response

LastApplication string

Date in ISO 8601 format with sub-second precision

Collapsed object
Show nested attributes Hide nested attributes 145
ARES_MOC_ENTITLEMENT string
CLIENT.ICONS.ENABLED string
CLIENT_LEADERBOARDS_ENABLED string
GAME_ALLOW_CONSOLE string
GAME_ALLOW_DEVELOPER_MENU string
GAME_DISABLED_DEATHCAM string
GAME_DISABLED_SKINS_WEAPONS string
GAME_PERFREPORTING_ENABLED string
GAME_REMOTE_MOVE_INTERP_ENABLED string
GAME_ROAMINGSETTINGS_ENABLED string
GAME_ROAMINGSETTINGS_KEY string
GAME_ROAMINGSETTINGS_STORAGEURL string
MAP_PRELOADING_ENABLED string
NAMECHECK_PLATFORM_REGION string
NAMECHECK_PLATFORM_URL string
ROSTER_REALM string
SECURITY_WATERMARK_ENABLED string
SECURITY_WATERMARK_MAX_OPACITY string
SECURITY_WATERMARK_MIN_OPACITY string
SECURITY_WATERMARK_TILING_FACTOR string
SERVICEURL_ACCOUNT_XP string
SERVICEURL_AGGSTATS string
SERVICEURL_AVS string
SERVICEURL_CONTENT string
SERVICEURL_CONTRACTS string
SERVICEURL_CONTRACT_DEFINITIONS string
SERVICEURL_COREGAME string
SERVICEURL_DAILY_TICKET string
SERVICEURL_FAVORITES string
SERVICEURL_GALBS_QUERY string
SERVICEURL_LATENCY string
SERVICEURL_LOGINQUEUE string
SERVICEURL_MASS_REWARDS string
SERVICEURL_MATCHDETAILS string
SERVICEURL_MATCHHISTORY string
SERVICEURL_MATCHMAKING string
SERVICEURL_MMR string
SERVICEURL_NAME string
SERVICEURL_PARTY string
SERVICEURL_PATCHNOTES string
SERVICEURL_PERSONALIZATION string
SERVICEURL_PLAYERFEEDBACK string
SERVICEURL_PREGAME string
SERVICEURL_PREMIER string
SERVICEURL_PROGRESSION string
SERVICEURL_PURCHASEMERCHANT string
SERVICEURL_REPLAY_CATALOG string
SERVICEURL_RESTRICTIONS string
SERVICEURL_SESSION string
SERVICEURL_STORE string
SERVICEURL_TOURNAMENTS string
SERVICE_TICKER_MESSAGE string
SERVICE_TICKER_MESSAGE.de-DE string
SERVICE_TICKER_MESSAGE.es-MX string
SERVICE_TICKER_MESSAGE.fr-FR string
SERVICE_TICKER_MESSAGE.it-IT string
SERVICE_TICKER_MESSAGE.pl-PL string
SERVICE_TICKER_MESSAGE.pt-BR string
SERVICE_TICKER_MESSAGE.ru-RU string
SERVICE_TICKER_MESSAGE.tr-TR string
SERVICE_TICKER_SEVERITY string
STORESCREEN_OFFERREFRESH_MAXDELAY_MILLISECONDS string
avs.enabled string
cap.location string
characterselect.debugwidgets.hide string
chat.mutedwords.enabled string
chat.v3.enabled string
collection.characters.enabled string
competitiveSeasonOffsetEndTime string
config.client.telemetry.samplerate string
content.filter.enabled string
content.maps.disabled string
eog.wip string
friends.enabled string
game.umgchat.enabled string
homescreen.featuredQueues string
homescreen.patchnotes.baseURL string
homescreen.promo.enabled string
homescreen.promo.key string
homescreen.webtile.baseURL string
loginqueue.region string
mainmenubar.collections.enabled string
mainmenubar.debug.enabled string
mainmenubar.profile.enabled string
mainmenubar.progression.enabled string
mainmenubar.shootingrange.enabled string
mainmenubar.store.enabled string
match.details.delay string
notifications.enabled string
parties.auto.balance.enabled string
party.observers.enabled string
partyinvites.enabled string
patchavailability.enabled string
personalization.equipAnyLevel.enabled string
personalization.useWidePlayerIdentityV2 string
ping.update.interval string
ping.useGamePodsFromParties string
platformFaulted.level string
playerfeedbacktool.accessurl string
playerfeedbacktool.locale string
playerfeedbacktool.shard string
playerfeedbacktool.show string
playerfeedbacktool.survey_request_rate_float string
playscreen.partywidget.enabled string
playscreen.partywidget.matchmaking.maxsize string
playscreen.premier.enabled string
premier.conferences.fetch.enabled string
premier.leaderboardTab.enabled string
premier.matchHistoryTab.enabled string
premier.playscreenflow.enabled string
premier.rosterEligibilityCheck.enabled string
premier.seasons.activeseason.enabled string
premier.seasons.fetch.enabled string
queue.status.enabled string
rchat.ingame.enabled string
reporterfeedback.fetch.enabled string
reporterfeedback.notifications.enabled string
restrictions.v2.fetch.enabled string
restrictions.v2.warnings.enabled string
riotwarning.fetch.enabled string
riotwarning.notifications.enabled string
rnet.useAuthenticatedVoice string
russia.voice.enabled string
settings.livediagnostics.allowedplayers string

Comma separated list of PUUIDs

shootingtest.enabled string
skillrating.enabled string
skillrating.inGame.enabled string
skillrating.preGame.enabled string
social.panel.v6.enabled string
socialviewcontroller.enabled string
socialviewcontroller.v2.enabled string
store.isXgpDisabled string
store.use_currency_inventory_models string
store.use_platform_bundle_discounted_prices string
telemetry.rtp.eventendpoint string
telemetry.rtp.rfc190scope string
temp.voice.allowmuting string
tournaments.enabled string
tournaments.pregame.enabled string
vanguard.accessurl string
vanguard.netrequired string
voice.clutchmute.enabled string
voice.clutchmute.prompt.enabled string
voice.provider string
whisper.enabled string